Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.bio
Class SocketConnector.ConnectorEndPoint

    java.lang.Object
      org.eclipse.jetty.io.bio.StreamEndPoint
          org.eclipse.jetty.io.bio.SocketEndPoint
              org.eclipse.jetty.server.bio.SocketConnector.ConnectorEndPoint

All Implemented Interfaces:
  java.lang.Runnable, ConnectedEndPoint, EndPoint

Direct Known Subclasses:
  SslSocketConnector.SslConnectorEndPoint

Enclosing class:
  SocketConnector

    protected class SocketConnector.ConnectorEndPoint

extends SocketEndPoint
implements java.lang.Runnable, ConnectedEndPoint

Field Summary
`protected java.net.Socket` | `_socket`

Constructor Summary
`SocketConnector.ConnectorEndPoint(java.net.Socket socket)`

Method Summary
`void` | `close()` Close any backing stream associated with the endpoint
`void` | `dispatch()`
`int` | `fill(Buffer buffer)` Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer.
`Connection` | `getConnection()`
`void` | `run()`
`void` | `setConnection(Connection connection)`

Methods inherited from class org.eclipse.jetty.io.bio.SocketEndPoint
`getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isOpen, setMaxIdleTime, shutdownOutput`

Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint
`blockReadable, blockWritable, flush, flush, flush, getInputStream, getMaxIdleTime, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.io.EndPoint
`blockReadable, blockWritable, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, setMaxIdleTime, shutdownOutput`

Field Detail

### _socket

    protected final java.net.Socket _socket

Constructor Detail

### SocketConnector.ConnectorEndPoint

    public SocketConnector.ConnectorEndPoint(java.net.Socket socket)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getConnection

    public Connection getConnection()

  Specified by:
    `getConnection` in interface `ConnectedEndPoint`

### setConnection

    public void setConnection(Connection connection)

  Specified by:
    `setConnection` in interface `ConnectedEndPoint`

### dispatch

    public void dispatch()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### fill

    public int fill(Buffer buffer)
             throws java.io.IOException

  Description copied from interface: `EndPoint`
  Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer. The putIndex is increased if bytes filled. The buffer may chose to do a compact before filling.

  Specified by:
    `fill` in interface `EndPoint`
  Overrides:
    `fill` in class `StreamEndPoint`
  Returns:
    an `int` value indicating the number of bytes filled or -1 if EOF is reached.
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `EndPoint`
  Close any backing stream associated with the endpoint

  Specified by:
    `close` in interface `EndPoint`
  Overrides:
    `close` in class `SocketEndPoint`
  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.